Inspect

List automations

List automations owned by or shared with the authenticated user. Pass `scope=all` to also include published automations and their soft forks. Supports cursor pagination.

Base URL
GET
/api/public/v1/automations

List automations owned by or shared with the authenticated user. Pass scope=all to also include published automations and their soft forks. Supports cursor pagination.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

Query Parameters

first?integer

Number of results to return (max 100).

Formatint32
Range1 <= value <= 100
Default50
after?string

Cursor for pagination. Use meta.page.end_cursor from a previous response.

include_archived?boolean

If true, include archived automations. Defaults to false.

Defaultfalse
scope?string

mine returns automations the authenticated user owns or collaborates on. all also returns every automation the user can view, including published automations and their soft forks. Defaults to mine.

Default"mine"
Value in"mine""all"

Response Body

List of automations

application/json
  1. response
data*array<>
meta*
Example Request
curl -X GET 'https://your-org.inspect.com/api/public/v1/automations'
Example Response
{  "data": [    {      "id": "string",      "name": "string",      "description": "string",      "prompt": "string",      "repositories": [        "string"      ],      "triggers": [        {          "id": "string",          "type": "cron",          "schedule_expression": "string",          "cron_expression": "string",          "timezone": "string",          "enabled": true        }      ],      "slack_channel_id": "string",      "slack_fanout_destinations": [        {          "channel_id": "string",          "context": "string"        }      ],      "post_to_slack_on_start": true,      "slack_mention_users": [        {          "type": "user",          "id": "string",          "name": "string",          "image": "string"        }      ],      "notify_collaborators_on_merge": true,      "run_as": "owner",      "owner": {        "id": "string",        "name": "string",        "email": "string",        "image": "string"      },      "collaborators": [        {          "id": "string",          "name": "string",          "email": "string",          "image": "string"        }      ],      "model_id": "string",      "custom_agent_id": "string",      "autofix_ci_failures": true,      "auto_review_enabled": true,      "auto_address_pr_reviews_policy": {        "enabled": true,        "reviewerCategories": {          "human": true,          "bot": true        },        "identityRules": [          {            "selector": "string",            "ruleType": "allow"          }        ],        "reviewBuddy": {          "enabled": true,          "enabledFindingTypes": [            "critical"          ]        }      },      "template_variables": {},      "enabled": true,      "last_run_at": "2019-08-24T14:15:22Z",      "next_run_at": "2019-08-24T14:15:22Z",      "archived_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "viewer_can_edit": true    }  ],  "meta": {    "page": {      "start_cursor": "string",      "end_cursor": "string",      "has_next_page": true,      "has_previous_page": true    }  }}